aboutsummaryrefslogtreecommitdiffstats
path: root/main/shorewall-shell/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'main/shorewall-shell/APKBUILD')
-rw-r--r--main/shorewall-shell/APKBUILD18
1 files changed, 15 insertions, 3 deletions
diff --git a/main/shorewall-shell/APKBUILD b/main/shorewall-shell/APKBUILD
index 643562f209..b6dd29950e 100644
--- a/main/shorewall-shell/APKBUILD
+++ b/main/shorewall-shell/APKBUILD
@@ -2,16 +2,28 @@
pkgname=shorewall-shell
_v=4.2.10
pkgver=4.2.10
-pkgrel=0
+pkgrel=1
pkgdesc="Shoreline Firewall shell-based compiler."
url="http://www.shorewall.net/"
license="GPL-2"
depends="shorewall-common"
#subpackages="$pkgname-doc"
-source="http://www.shorewall.net/pub/shorewall/${_v%.*}/shorewall-$_v/$pkgname-$pkgver.tar.bz2"
+source="http://www.shorewall.net/pub/shorewall/${_v%.*}/shorewall-$_v/$pkgname-$pkgver.tar.bz2
+ shorewall-policyrouting.patch
+ "
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 -i $i || return 1
+ done
+}
build() {
cd "$srcdir"/$pkgname-$pkgver
PREFIX="$pkgdir" ./install.sh || return 1
}
-md5sums="d6f7cbc3c502c09921ede920547d5017 shorewall-shell-4.2.10.tar.bz2"
+
+md5sums="d6f7cbc3c502c09921ede920547d5017 shorewall-shell-4.2.10.tar.bz2
+64c01bc4f57203fb877bb334994eac38 shorewall-policyrouting.patch"